Bug 175631 - Review Request: fedora-package-config-smart - Configuration files for the smart package manager
Review Request: fedora-package-config-smart - Configuration files for the sma...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
:
: 175473 (view as bug list)
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-13 11:02 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 08:22:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2005-12-13 11:02:25 EST
Spec Name or Url: http://people.atrpms.net/~athimm/fedorasubmit/fedora-package-config-smart.spec
SRPM Name or Url: http://people.atrpms.net/~athimm/fedorasubmit/smart-0.40-23.src.rpm
Description:

Configuration files for smart. These are split off the main package for the same reasons yum's and up2date's config files are split off into fedora-release. These config files (channel) are the *.repo config files from fedora-release transcribed for smart.
Comment 1 Ville Skyttä 2005-12-13 11:28:02 EST

*** This bug has been marked as a duplicate of 175473 ***
Comment 2 Jochen Schmitt 2006-02-22 12:53:33 EST
Good:
+ rpmlint to srpm ok.
+ Local build worked fine.

Bad:
- rpmlint for rpms complaints:

rpmlint smart-0.40-23.i686.rpm
W: smart conffile-without-noreplace-flag /etc/pam.d/smart-root
W: smart conffile-without-noreplace-flag /etc/security/console.apps/smart-root

rpmlint smart-gui-0.40-23.i686.rpm
W: smart-gui no-documentation

rpmlint smart-update-0.40-23.i686.rpm
W: smart-update no-documentation

- BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
? Encoding should be UTF-8
- New upstream release is available.

I have reopen this bug, becouse its was accidently closed.
Comment 3 Ville Skyttä 2006-02-22 14:30:50 EST
It was not accidentally closed, this *is* a duplicate of bug 175473.

*** This bug has been marked as a duplicate of 175473 ***
Comment 4 Axel Thimm 2006-03-30 17:27:59 EST
Reopening due to bug 175438 comment 77 and bug 185239
Comment 5 Axel Thimm 2006-03-31 19:44:00 EST
Updated packages for FC5 are available at:
http://people.atrpms.net/~athimm/fedorasubmit/fedora-package-config-smart-5-4.src.rpm

* Sat Apr  1 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 5-4
- Update to Fedora Core 5.

* Tue Dec 13 2005 Axel Thimm <Axel.Thimm@ATrpms.net> - 4-3
- changed name to fedora-package-config-smart
- Modify to only include what fedora-release includes for yum.

Comment 6 Tom "spot" Callaway 2006-04-09 19:16:05 EDT
Review:

- rpmlint checks return:
E: fedora-package-config-smart no-binary
W: fedora-package-config-smart no-documentation

Both are safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK
- spec file legible, in am. english
- no real way to check config files against "upstream"
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- content ok
- no need for -docs
- nothing in %doc
- no need for .desktop file 

APPROVED. One down, one to go.
Comment 7 Ville Skyttä 2006-04-11 15:53:34 EDT
Nitpick: including the source files separately in the SRPM instead of rolling
them in a tarball would be more developer friendly (think CVS checkouts, diffs,
commit mails).
Comment 8 Axel Thimm 2006-04-12 08:22:55 EDT
Having seen the cvs system in action I agree with Ville in the previous comment.
I tried to make the "upstream" sources look more like what is in the
fedora-release package.
Comment 9 Ville Skyttä 2006-04-22 07:28:54 EDT
*** Bug 175473 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.